Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.sequencing
Class TableSequence

`java.lang.Object
oracle.toplink.sequencing.Sequence
oracle.toplink.sequencing.StandardSequence
oracle.toplink.sequencing.QuerySequence
oracle.toplink.sequencing.TableSequence`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class TableSequence
extends QuerySequence

Purpose:

See Also:
  Serialized Form

Constructor Summary
`TableSequence()`
`TableSequence(java.lang.String name)`
`TableSequence(java.lang.String name, int size)`
`TableSequence(java.lang.String name, int size, java.lang.String tableName)`
`TableSequence(java.lang.String name, int size, java.lang.String tableName, java.lang.String nameFieldName, java.lang.String counterFieldName)`
`TableSequence(java.lang.String name, java.lang.String tableName)`
`TableSequence(java.lang.String name, java.lang.String tableName, java.lang.String nameFieldName, java.lang.String counterFieldName)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getCounterFieldName()`
`java.lang.String` | `getNameFieldName()`
`java.lang.String` | `getQualifiedTableName()`
`java.lang.String` | `getTableName()`
`void` | `setCounterFieldName(java.lang.String name)`
`void` | `setNameFieldName(java.lang.String name)`
`void` | `setTableName(java.lang.String name)`

Methods inherited from class oracle.toplink.sequencing.QuerySequence
`getSelectQuery, getUpdateQuery, setSelectQuery, setShouldAcquireValueAfterInsert, setShouldSelectBeforeUpdate, setShouldSkipUpdate, setShouldUseTransaction, setUpdateQuery, shouldAcquireValueAfterInsert, shouldSelectBeforeUpdate, shouldSkipUpdate, shouldUseTransaction`

Methods inherited from class oracle.toplink.sequencing.StandardSequence
`getGeneratedValue, getGeneratedVector`

Methods inherited from class oracle.toplink.sequencing.Sequence
`clone, equalNameAndSize, getDatasourcePlatform, getName, getPreallocationSize, isConnected, setName, setPreallocationSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableSequence

    public TableSequence()

### TableSequence

    public TableSequence(java.lang.String name)

### TableSequence

    public TableSequence(java.lang.String name,
                         int size)

### TableSequence

    public TableSequence(java.lang.String name,
                         java.lang.String tableName)

### TableSequence

    public TableSequence(java.lang.String name,
                         java.lang.String tableName,
                         java.lang.String nameFieldName,
                         java.lang.String counterFieldName)

### TableSequence

    public TableSequence(java.lang.String name,
                         int size,
                         java.lang.String tableName)

### TableSequence

    public TableSequence(java.lang.String name,
                         int size,
                         java.lang.String tableName,
                         java.lang.String nameFieldName,
                         java.lang.String counterFieldName)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `QuerySequence`

### getCounterFieldName

    public java.lang.String getCounterFieldName()

### setCounterFieldName

    public void setCounterFieldName(java.lang.String name)

### getNameFieldName

    public java.lang.String getNameFieldName()

### setNameFieldName

    public void setNameFieldName(java.lang.String name)

### getTableName

    public java.lang.String getTableName()

### getQualifiedTableName

    public java.lang.String getQualifiedTableName()

### setTableName

    public void setTableName(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD